Bug 519443 - Use system libs for gnutls and libtasn1
Summary: Use system libs for gnutls and libtasn1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libmicrohttpd
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tim Niemueller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-26 16:24 UTC by Tim Niemueller
Modified: 2010-11-24 22:43 UTC (History)
1 user (show)

Fixed In Version: libmicrohttpd-0.9.2-3.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-24 22:43:38 UTC
Type: ---


Attachments (Terms of Use)

Description Tim Niemueller 2009-08-26 16:24:55 UTC
Description of problem:
libmicrohttpd includes its own version of GnuTLS and a stripped down minitasn1 based on libtasn1. Not only does this increase the size of the libraries for no real reason, it might even be a security problem, since a security updates for GnuTLS will likely take longer to appear in the libmicrohttpd tree, and in Fedora eventually (cf. https://fedoraproject.org/wiki/Packaging/Guidelines#Duplication_of_system_libraries).

Version-Release number of selected component (if applicable):
libmicrohttpd-0.4.2 (from Koji, update has not been issued?)

Additional info:
The libraries are in src/daemon/https. Symbols got a MHD__ prefix, which means that a patch not only to the build system but to the source files themselves has to be applied to use the system-wide GnuTLS lib.

The first step should be to communicate with upstream if they have plans to remove the embedded GnuTLS version, or reasoning why they did this. If they refuse to do so a patch must be maintained to eliminate the duplicated lib for the Fedora package.

Comment 1 Erik van Pienbroek 2009-09-19 18:18:51 UTC
A bugreport about this situation has been issued upstream: https://gnunet.org/mantis/view.php?id=1495

Comment 2 Bug Zapper 2009-11-16 11:43:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-11-04 10:21:37 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Tim Niemueller 2010-11-04 13:34:34 UTC
Since the last version packaged is from June, but the upstream bug reports says fixed only in July I assume this is not fixed, yet. Therefore reassigning to rawhide. What are the plans for upgrading to 0.9.2? Are there compatibility problems to be expected?

Comment 5 Fedora Admin XMLRPC Client 2010-11-07 15:48:00 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Fedora Update System 2010-11-16 15:55:16 UTC
libmicrohttpd-0.9.2-3.fc14,fawkes-0.4-7.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/libmicrohttpd-0.9.2-3.fc14,fawkes-0.4-7.fc14

Comment 7 Fedora Update System 2010-11-16 23:18:57 UTC
libmicrohttpd-0.9.2-3.fc14, fawkes-0.4-7.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libmicrohttpd fawkes'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/libmicrohttpd-0.9.2-3.fc14,fawkes-0.4-7.fc14

Comment 8 Fedora Update System 2010-11-24 22:43:29 UTC
libmicrohttpd-0.9.2-3.fc14, fawkes-0.4-7.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.